function label = func_ensemble_linkclue(bases, k, dc)
% cluster ensemble using LinkClue package, He Zhang, Oct. 2012
% see: N. Iam-on et al., "LinkCluE: A MATLAB Package for Link-Based
% Cluster Ensembles", Journal of Statistical Software, 2010

S = cts(bases, dc); % dc is the decay factor

% final clustering using agglomerative methods: SL, CL, AL
label = clHC(S, k);